org.apache.mina.api

## Enum IoSession.SessionState

- java.lang.Object
- - java.lang.Enum<IoSession.SessionState>
  - - org.apache.mina.api.IoSession.SessionState

- All Implemented Interfaces:
    Serializable, Comparable<IoSession.SessionState>
  Enclosing interface:
    IoSession

      public static enum IoSession.SessionState
      extends Enum<IoSession.SessionState>

  State of a `IoSession`
  Author:
    Apache MINA Project

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLOSED`
    `CLOSING`
    `CONNECTED`
    `CREATED`
    `SECURED`
    `SECURING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IoSession.SessionState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IoSession.SessionState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CREATED

          public static final IoSession.SessionState CREATED

    - #### CONNECTED

          public static final IoSession.SessionState CONNECTED

    - #### CLOSING

          public static final IoSession.SessionState CLOSING

    - #### CLOSED

          public static final IoSession.SessionState CLOSED

    - #### SECURING

          public static final IoSession.SessionState SECURING

    - #### SECURED

          public static final IoSession.SessionState SECURED

  - ### Method Detail

    - #### values

          public static IoSession.SessionState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IoSession.SessionState c : IoSession.SessionState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IoSession.SessionState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2009–2013 Apache MINA Project. All rights reserved.